Subject: Re: bug#53158: 28.0.90; TAB, RET key behave differently for Git-Log-View, Outline View mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 13 Jan 2022 10:05:43 +0100

Juri Linkov <[email-masked]> writes:

> We were hit by this unpleasant problem in diff-mode with outline-minor-mode.
> In diff-mode TAB moves point to the next hunk, because in browsers TAB moves
> to the next link.  But in outline-minor-mode TAB should expand and collapse
> on the heading because TAB does this in Org mode.

I think it's unfortunate that outline minor mode uses TAB, because it
crashes with so much else we're using that key for.  But I guess
there's not much we can do about it at this point.

> So we were forced to add such filter:
>
>   (defcustom outline-minor-mode-cycle-filter nil
>     "Filter out positions on the heading available for cycling."
>     :type '(choice (const :tag "Everywhere" nil)
>                    (const :tag "At line beginning" bolp)
>                    (const :tag "Not at line beginning"
>                           (lambda () (not (bolp))))
>                    (const :tag "At line end" eolp)
>
> Then you can choose: when point is at the beginning of the outline heading,
> TAB can expand and collapse outlines, when point is not at the line beginning,
> TAB moves to the next hunk.

Yup.  So I think that's the workaround here, and there's nothing really
to be done in this bug report, so I'm closing it.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no